/*
** EPITECH PROJECT, 2018
** task01
** File description:
** I do task
*/

#ifndef __DRAW_H__
# define __DRAW_H__

#include "lib/s_sfml.h"
void player_rendering(sfml_t *sfml);
void wall_rendering(sfml_t *sfml);
void draw_monochrome(sfml_t *sfml, const uint8_t *bmp, int draw[4]);
void draw_princess(sfml_t *sfml, int x, int y);
void draw_pik(sfml_t *sfml, int x, int y, uint8_t direction);
void draw_thrower(sfml_t *sfml, int x, int y, uint8_t direction);
void draw_ground(sfml_t *sfml, int x, int y, uint8_t grass_id);
void set_background(sfml_t *sfml);

void draw_thrower_object(sfml_t *sfml);
void draw_endtext_bmp(sfml_t *sfml);
void draw_logo_bmp(sfml_t *sfml, int y);
#endif
